Subject: merging git repositories history for full history of linux

From: Yoann Padioleau <[email-masked]>
Date: Mon, 24 Mar 2008 13:56:24 -0500

Hi, 

I would like to merge the 3 git repositories of the history
of linux, the one by Dave Jones from linux 0.01 to linux 2.4.0, 
the one by tglx from 2.4.0 to 2.6.12 and the one from 2.6.12
by torvalds until the last version of Linux.

Right now there are 3 repos and I would like only one. I made
some scripts to create a fresh repo, and incorporate each
commit from the 3 repositories mentionned above
(getting the changelog, setting the date), but it takes lots of time
because for instance I can not use the git log -p commitid because
the patch can not be applied as is. So I usually do a checkout
for each commitid and do a manual diff to generate a patch
and apply it to my fresh repo.

Is there a magic command that makes this possible efficiently ?